<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/SelectionWheels.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'ID',
            footer: "Foots",
            cnName: '预选信息',
            name: 'stock/SelectionWheels',
            url: "/SelectionWheels/",
            sortName: "ID"
        });
        const editFormFields = ref({
            ID:"",
            CLTM:"",
            CZTM:"",
            location:"",
        });
        const editFormOptions = ref([
        [
                { "title": "车轮条码", "field": "CLTM", type: "text" },
            ],
            [
                { "title": "车轴条码", "field": "CZTM", type: "text" },
                
            ],
            [
                { "title": "库位号", "field": "location", type: "text" },
                
            ]
        ]);
        const searchFormFields = ref({
            ID:"",
            cltm:"",
            cztm:"",
            location:"",
            createDate:""

        });
        const searchFormOptions = ref([
            [
                { "title": "车轮条码", "field": "cltm", type: "text" },
            ],
            [
                { "title": "车轴条码", "field": "cztm", type: "text" },
                
            ],
            [
                { "title": "库位号", "field": "location", type: "text" },
                
            ],
            [
                { "title": "创建时间", "field": "createDate", type: "datetime" },
            ]

        ]);
        const columns = ref([
            { field: 'id', title: '主键ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'cltm', title: '车轮条码', type: 'string', width: 150, align: 'left' },
            { field: 'cztm', title: '车轴条码', type: 'string', width: 150, align: 'left' },
            { field: 'location', title: '库位号', type: 'string', width: 110, align: 'left' },
            { field: 'whereFrom', title: '来源', type: 'string', width: 110, align: 'left' },
            { field: 'createDate', title: '创建时间', type: 'date', sort: true, width: 100, align: 'left' },
        ]);

        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
